### Echo

Category

Debugging

Function

Echoes a message.

Syntax

    Echo(string, ...);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`string` | value list or string list | no default | message to be printed
`...` |  |  | additional messages to print

Functional Details

This module prints its arguments as a string.

`string` | is the value to be echoed.

A single Echo module can echo a maximum of 21 strings. In the user interface, the default number of enabled `string` tabs is two. (Tabs can be added to the module icon and removed with the appropriate `...Input Tab` options in the `Edit` pull-down menu of the VPE.)

The module can print:

- Integer, float, and string values
- Integer, float, and string lists
- 2-D and 3-D vectors.

If the input is of another type, the module will echo the object class (e.g, "Field").

In the user interface, the output of Echo appears in the Message window.

See Also

Print, Describe

[ OpenDX Home at IBM | OpenDX.org ]